BasicSliderUI.ScrollListener (Java SE 14 & JDK 14)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicSliderUI, class: ScrollListener
Keywords: javax.swing.plaf.basic.BasicSliderUI.ScrollListener class

Module java.desktop
Package javax.swing.plaf.basic

# Class BasicSliderUI.ScrollListener

java.lang.Object
javax.swing.plaf.basic.BasicSliderUI.ScrollListener

All Implemented Interfaces:
  `ActionListener`, `EventListener`

Enclosing class:
  BasicSliderUI

    public class BasicSliderUI.ScrollListener
    extends Object
    implements ActionListener

Scroll-event listener. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `Foo`.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ScrollListener()` | Constructs a `ScrollListener`
  `ScrollListener​(int dir, boolean block)` | Constructs a `ScrollListener`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `setDirection​(int direction)` | Sets the direction.
  `void` | `setScrollByBlock​(boolean block)` | Sets scrolling by block

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface java.awt.event.ActionListener

  `actionPerformed`

- ## Constructor Details

  - ### ScrollListener

    public ScrollListener()
    Constructs a `ScrollListener`

  - ### ScrollListener

    public ScrollListener​(int dir, boolean block)
    Constructs a `ScrollListener`
    Parameters:
      `dir` - the direction
      `block` - whether or not to scroll by block

- ## Method Details

  - ### setDirection

    public void setDirection​(int direction)
    Sets the direction.
    Parameters:
      `direction` - the new direction

  - ### setScrollByBlock

    public void setScrollByBlock​(boolean block)
    Sets scrolling by block
    Parameters:
      `block` - the new scroll by block value